#!/bin/sh
if [ -x runserver.sh -a -x makeconfig.sh ] 
 then
 if [ -x ../fhttpd -a -x ../fhttpd-file ]
  then
  if [ -f fhttpd.conf ]
   then
   ../fhttpd -c fhttpd.conf -p fhttpd.pid -l fhttpd.log
   else
   echo "Run ./makeconfig.sh first."
   fi
  else
  echo "Make fhttpd binaries first."
  fi
 else
 echo "Not called from http-root directory under fhttpd distribution."
 fi
